Subject: Re: bug#6576: documentation `string-to-char' is incorrect

From: Chong Yidong <[email-masked]>
Date: Wed, 13 Jul 2011 22:13:02 -0400

Lars Magne Ingebrigtsen <[email-masked]> writes:

> I've now installed a slight variation on this in Emacs 24.
>
> But after checking it in, I started wondering whether this doc string
> really makes sense.  The function returns an Emacs character, and it
> would be rather weird if all functions that take or return an Emacs
> character goes through that entire explanation.
>
> Is there a specific reason this particular function deserves this
> detailed explanation?

How bout linking to the `String and Character Basics' node in the Elisp
manual instead?